BatchJobsService
Operations
Lists all available batch jobs.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200
Successful operation.
application/json
StatusMessagestringOptional
Status message of the batch job.
post/listBatchJobs
POST /nexum/627/persistent/batchjobs/listBatchJobs HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 153
{
"Credentials": {
"UserNumberCredentials": {
"UserNumber": 1995,
"Password": "thiswillwerkOP00!"
}
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"StatusMessage": "Success",
"BatchFileList": {
"BatchFileName": [
"NX.MOCK.BATCH.JOB"
]
}
}Executes a batch job.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AsyncbooleanOptional
Whether to run the batch job asynchronously.
JobNamestringRequired
Name of the batch job to execute.
Responses
200
Successful operation.
application/json
StatusMessagestringOptional
Status message of the batch job.
TokenIdstringOptional
Token ID of the batch job.
post/executeBatchJob
POST /nexum/627/persistent/batchjobs/executeBatchJob HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 156
{
"Credentials": {
"UserNumberCredentials": {
"UserNumber": 1,
"Password": "text"
},
"Version_1": {}
},
"Async": true,
"JobName": "text",
"nxAttributes": {
"customFields": {}
}
}200
Successful operation.
{
"StatusMessage": "text",
"TokenId": "text"
}Retrieves the status of a batch job.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
TokenIdstringRequired
Token ID of the batch job.
Responses
200
Successful operation.
application/json
StatusMessagestringOptional
Status message of the batch job.
TokenIdobjectOptional
Token ID of the batch job.
post/getBatchJobStatus
POST /nexum/627/persistent/batchjobs/getBatchJobStatus HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 143
{
"Credentials": {
"UserNumberCredentials": {
"UserNumber": 1,
"Password": "text"
},
"Version_1": {}
},
"TokenId": "text",
"nxAttributes": {
"customFields": {}
}
}200
Successful operation.
{
"StatusMessage": "text",
"TokenId": {}
}Last updated
Was this helpful?